<header class="header">
  <div class="mobile-header-items">
    <!-- for mobile -->
    <div id="nav-drawer">
      <input id="nav-input" type="checkbox" class="nav-unshown">
      <label id="nav-open" for="nav-input"><i class="fas fa-bars"></i></label>
      <label class="nav-unshown" id="nav-close" for="nav-input"></label>
      <div id="nav-content">
        <div class="sidenav">
          <div class="theme-switch-wrapper">
            <label class="theme-switch" for="theme-switch-input">
              <i class="fas fa-moon"></i>  
              <input type="checkbox" id="theme-switch-input" class="nav-unshown"/>
            </label>
          </div>    
          <div class="each-btn">
            <a href="{{ $.Site.Home.RelPermalink }}">Home</a>
          </div>
          {{ with .Site.Menus.main }}
            {{ range . }}
                {{ template "main_nav_item" . }}
            {{ end }}
          {{ end }}
    
          {{ define "main_nav_item"}}
            {{ if .HasChildren }}
              <button class="dropdown-btn">{{ .Name }}
                <i class="fa fa-caret-down"></i>
              </button>
              <div class="dropdown-container">
              {{ range .Children }}
                {{ template "main_nav_item" . }}
              {{ end }}
              </div>
            {{ else }}
              <a href="{{ .URL }}">{{ .Name }}</a>
            {{ end }}        
          {{ end }}
        </div>
      </div>
    </div>
    <!-- for PC -->
    <div class="siteName">
      <a href="{{ $.Site.Home.RelPermalink }}">{{ .Site.Title }}</a>
    </div>
    <!-- for PC and mobile (some parts) -->
    <div class="header-items">
      <div class="searchBoxContainer">
        <input type="text" id="searchBoxInput" class="searchBox" placeholder="Search..." />
      </div>
      <div class="hide-toc-wrapper">
        <label class="hide-toc" for="hide-toc-input">
          <i class="fas fa-list-ol"></i>  
          <input type="checkbox" id="hide-toc-input" class="nav-unshown"/>
        </label>
      </div>
      <div class="theme-switch-wrapper">
        <label class="theme-switch" for="theme-switch-input">
          <i class="fas fa-moon"></i>  
          <input type="checkbox" id="theme-switch-input" class="nav-unshown"/>
        </label>
      </div>
    </div>
    <div id="toc-drawer">
      <input id="toc-input" type="checkbox" class="nav-unshown">
      <label id="toc-open" for="toc-input">
        <i class="fas fa-list"></i>
      </label>
      <label id="toc-close" for="toc-input" class="nav-unshown"></label>
      <div id="toc-mobile">
      </div>
    </div>
  </div>
</header>